QUTEBROWSER(1)

NAME
qutebrowser - a keyboard-driven, vim-like browser based on PyQt5.

SYNOPSIS

qutebrowser [-OPTION [...]] [:COMMAND [...]] [URL [...]]

DESCRIPTION

qutebrowser is a keyboard-focused browser with a minimal GUI. It’s based on Python and Qt5 and is free software, licensed under the GPL.

It was inspired by other browsers/addons like dwb and Vimperator/Pentadactyl.

Note the commands and settings of qutebrowser are not described in this manpage, but in the help integrated in qutebrowser - use the ":help" command to show it.

OPTIONS

  positional arguments

:command
    Commands to execute on startup.

URL
    URLs to open on startup (empty as a window separator).

  optional arguments

-h, --help
    show this help message and exit

-B BASEDIR, --basedir BASEDIR
    Base directory for all storage.

-C CONFIG, --config-py CONFIG
    Path to config.py.

-V, --version
    Show version and quit.

-s OPTION VALUE, --set OPTION VALUE
    Set a temporary setting for this session.

-r SESSION, --restore SESSION
    Restore a named session.

-R, --override-restore
    Don’t restore a session even if one would be restored.

--target {auto,tab,tab-bg,tab-silent,tab-bg-silent,window}
    How URLs should be opened if there is already a qutebrowser instance running.

--backend {webkit,webengine}
    Which backend to use.

--enable-webengine-inspector
    Enable the web inspector for QtWebEngine. Note that this is a SECURITY RISK and you should not visit untrusted websites with the inspector turned on. See https://bugreports.qt.io/browse/QTBUG-50725 for more details. This is not needed anymore since Qt 5.11 where the inspector is always enabled and secure.

  debug arguments

-l {critical,error,warning,info,debug,vdebug}, --loglevel {critical,error,warning,info,debug,vdebug}
    Set loglevel

--logfilter LOGFILTER
    Comma-separated list of things to be logged to the debug log on stdout.

--loglines LOGLINES
    How many lines of the debug log to keep in RAM (-1: unlimited).

-d, --debug
    Turn on debugging options.

--json-logging
    Output log lines in JSON format (one object per line).

--nocolor
    Turn off colored logging.

--force-color
    Force colored logging

--nowindow
    Don’t show the main window.

-T, --temp-basedir
    Use a temporary basedir.

--no-err-windows
    Don’t show any error windows (used for tests/smoke.py).

--qt-arg NAME VALUE
    Pass an argument with a value to Qt. For example, you can do --qt-arg geometry 650x555+200+300 to set the window geometry.

--qt-flag QT_FLAG
    Pass an argument to Qt as flag.

-D DEBUG_FLAGS, --debug-flag DEBUG_FLAGS
    Pass name of debugging feature to be turned on.

FILES

    • ~/.config/qutebrowser/config.py: Configuration file.

    • ~/.config/qutebrowser/autoconfig.yml: Configuration done via the GUI.

    • ~/.config/qutebrowser/quickmarks: Saved quickmarks.

    • ~/.local/share/qutebrowser/: Various state information.

    • ~/.cache/qutebrowser/: Temporary data.

Note qutebrowser conforms to the XDG basedir specification - if XDG_CONFIG_HOME, XDG_DATA_HOME or XDG_CACHE_HOME are set in the environment, the directories configured there are used instead of the above defaults.

BUGS

Bugs are tracked in the Github issue tracker at https://github.com/qutebrowser/qutebrowser/issues.

If you found a bug, use the built-in :report command to create a bug report with all information needed.

If you prefer, you can also write to the mailinglist at qutebrowser@lists.qutebrowser.org instead.

For security bugs, please contact me directly at me@the-compiler.org, GPG ID 0xFD55A072.

COPYRIGHT

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.

RESOURCES

    • Website: https://www.qutebrowser.org/

    • Mailinglist: qutebrowser@lists.qutebrowser.org / https://lists.schokokeks.org/mailman/listinfo.cgi/qutebrowser

    • Announce-only mailinglist: qutebrowser-announce@lists.qutebrowser.org / https://lists.schokokeks.org/mailman/listinfo.cgi/qutebrowser-announce

    • IRC: #qutebrowser on Freenode

    • Github: https://github.com/qutebrowser/qutebrowser

AUTHOR

qutebrowser was written by Florian Bruhin. All contributors can be found in the README file distributed with qutebrowser.